<?php

use Tygh\Settings;
use Tygh\Registry;

if (!defined("BOOTSTRAP")) {
	die("Access denied");
}

if (
	$_SERVER["REQUEST_METHOD"] == "POST" &&
	$_REQUEST["addon"] == "bifitkassa"
) {
	if ($mode == "update") {
		$inn = Settings::instance()->getValue("inn", "bifitkassa");

		if (!empty($inn)) {
			$check = fn_bifitkassa_is_valid_inn($inn);
			if ($check == false) {
				fn_set_notification(
					"W",
					__("warning"),
					__("bifitkassa.error_inn")
				);
			}
		}
	}
}
